# Method: customers.userLists.list

- [HTTP request](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists/list#body.request_body)
- [Response body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists/list#body.response_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists/list#body.ListUserListsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists/list#body.aspect)
- [UserListView](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists/list#UserListView)

Lists the user lists managed by the specified Ads Data Hub customer.

### HTTP request

`GET https://adsdatahub.googleapis.com/v1/{parent=customers/*}/userLists`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent customer resource name, e.g. 'customers/123'. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of items to return. If 0, the server will determine the number of user lists to return. |
| `pageToken` | `string` Page token, returned by a previous call, used to request the next page of results. |
| `filter` | `string` Example filter: title = "user\*" AND title = "\*name\*" AND -type = FREQUENCY_BASED AND createEmail = "creator@email.com" AND listSize \> 10 AND populateTime \> "2012-04-21T11:30:00-04:00" |
| `view` | ``enum (`https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists/list#UserListView`)`` Specifies which fields to include in each user list. |
| `showDeleted` | `boolean` If set to true, deleted user lists will be included in the response. |

### Request body

The request body must be empty.

### Response body

Response to a userLists.list request. Contains the user lists managed by the specified Ads Data Hub customer.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "userLists": [ { object (`https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists#UserList`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `userLists[]` | ``object (`https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists#UserList`)`` A list of user lists. |
| `nextPageToken` | `string` A token that can be used to request the next results page. This field is empty if there are no additional results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`

## UserListView

Enum to indicate which fields to include in each user list returned by the \[userLists.list\] API.

| Enums ||
|---|---|
| `USER_LIST_VIEW_UNSPECIFIED` | The default / unset value. The API will default to the FULL view. |
| `BASIC` | Include fields except \[recipientAdsDataLinks\]. |
| `FULL` | Include everything. |